org.firebirdsql.jdbc.field

## Class FBFlushableField.CachedObject

- java.lang.Object
- - org.firebirdsql.jdbc.field.FBFlushableField.CachedObject

Enclosing interface:
  FBFlushableField

    public static class FBFlushableField.CachedObject
    extends java.lang.Object

### Field Summary

Fields
`java.io.InputStream` `binaryStream`
`byte[]` `bytes`
`java.io.Reader` `characterStream`
`long` `length`

### Constructor Summary

Constructors
Constructor and Description
`CachedObject(byte[] bytes, java.io.InputStream binaryStream, java.io.Reader characterStream, long length)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bytes

    public byte[] bytes

#### binaryStream

    public java.io.InputStream binaryStream

#### characterStream

    public java.io.Reader characterStream

#### length

    public long length

### Constructor Detail

#### CachedObject

    public CachedObject(byte[] bytes,
                        java.io.InputStream binaryStream,
                        java.io.Reader characterStream,
                        long length)